[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.DataSetChanged

Signals the OnDatasetChanged event handler when assigned.

## Declaration

Source position: dbgrids.pas line 214

`protected procedure TComponentDataLink.DataSetChanged; override;`

## Description

DatasetChanged is a procedure used to signal the OnDatasetChanged event handler when the dataset has been changed. DatasetChanged calls the event handler when it has been assigned in the class instance. No action is performed when OnDatasetChanged has not been assigned.

## See also

TDataLink
TComponentDataLink.OnDatasetChanged |  | OnDataseChanged - event handler for a change in the attached dataset.